org.richfaces.component.html

## Enum HtmlNotifyMessages.Properties

- java.lang.Object
- - java.lang.Enum<HtmlNotifyMessages.Properties>
  - - org.richfaces.component.html.HtmlNotifyMessages.Properties

- All Implemented Interfaces:
    Serializable, Comparable<HtmlNotifyMessages.Properties>
  Enclosing class:
    HtmlNotifyMessages

      protected static enum HtmlNotifyMessages.Properties
      extends Enum<HtmlNotifyMessages.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajaxRendered`
    `dir`
    `disabled`
    `escape`
    `keepTransient`
    `lang`
    `nonblocking`
    `nonblockingOpacity`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `showCloseButton`
    `showShadow`
    `stack`
    `stayTime`
    `sticky`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtmlNotifyMessages.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlNotifyMessages.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ajaxRendered

          public static final HtmlNotifyMessages.Properties ajaxRendered

    - #### dir

          public static final HtmlNotifyMessages.Properties dir

    - #### disabled

          public static final HtmlNotifyMessages.Properties disabled

    - #### escape

          public static final HtmlNotifyMessages.Properties escape

    - #### keepTransient

          public static final HtmlNotifyMessages.Properties keepTransient

    - #### lang

          public static final HtmlNotifyMessages.Properties lang

    - #### nonblocking

          public static final HtmlNotifyMessages.Properties nonblocking

    - #### nonblockingOpacity

          public static final HtmlNotifyMessages.Properties nonblockingOpacity

    - #### onclick

          public static final HtmlNotifyMessages.Properties onclick

    - #### ondblclick

          public static final HtmlNotifyMessages.Properties ondblclick

    - #### onkeydown

          public static final HtmlNotifyMessages.Properties onkeydown

    - #### onkeypress

          public static final HtmlNotifyMessages.Properties onkeypress

    - #### onkeyup

          public static final HtmlNotifyMessages.Properties onkeyup

    - #### onmousedown

          public static final HtmlNotifyMessages.Properties onmousedown

    - #### onmousemove

          public static final HtmlNotifyMessages.Properties onmousemove

    - #### onmouseout

          public static final HtmlNotifyMessages.Properties onmouseout

    - #### onmouseover

          public static final HtmlNotifyMessages.Properties onmouseover

    - #### onmouseup

          public static final HtmlNotifyMessages.Properties onmouseup

    - #### showCloseButton

          public static final HtmlNotifyMessages.Properties showCloseButton

    - #### showShadow

          public static final HtmlNotifyMessages.Properties showShadow

    - #### stack

          public static final HtmlNotifyMessages.Properties stack

    - #### stayTime

          public static final HtmlNotifyMessages.Properties stayTime

    - #### sticky

          public static final HtmlNotifyMessages.Properties sticky

    - #### style

          public static final HtmlNotifyMessages.Properties style

    - #### styleClass

          public static final HtmlNotifyMessages.Properties styleClass

    - #### title

          public static final HtmlNotifyMessages.Properties title

  - ### Method Detail

    - #### values

          public static HtmlNotifyMessages.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlNotifyMessages.Properties c : HtmlNotifyMessages.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlNotifyMessages.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.